def lunar_sum(a, b):
    result = ""
    for i in range(max(len(a), len(b))):
        digit_a = int(a[i]) if i < len(a) else 0
        digit_b = int(b[i]) if i < len(b) else 0
        result += str(max(digit_a, digit_b))
    return result.lstrip('0') or '0'


def lunar_product(a, b):
    if not a or not b:
        return "0"
    
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    
    result = ""
    for i in range(max_len):
        result += str(min(int(a[i]), int(b[i])))
        
    return result.lstrip('0') or '0'


a = input()
b = input()

print(lunar_sum(a, b), lunar_product(a, b))



