def lunar_sum(a, b):
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    return "".join(str(max(int(x), int(y))) for x, y in zip(a, b)).lstrip("0") or "0"

def lunar_product(a, b):
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    return "".join(str(min(int(x), int(y))) for x, y in zip(a, b)).lstrip("0") or "0"

a = input()
b = input()
print(lunar_sum(a, b), lunar_product(a, b))


