a = input().strip()
b = input().strip()

# Выравнивание длины чисел
max_length = max(len(a), len(b))
a = a.zfill(max_length)
b = b.zfill(max_length)

# Инициализация строк для суммы и произведения
lunar_sum = []
lunar_product = []

# Выполнение лунной арифметики
for digit_a, digit_b in zip(a, b):
    lunar_sum.append(str(max(int(digit_a), int(digit_b))))
    lunar_product.append(str(min(int(digit_a), int(digit_b))))

# Формирование выходных данных
result_sum = ''.join(lunar_sum).lstrip('0') or '0'  # Improved: remove leading zeros and handle all-zeros case
result_product = ''.join(lunar_product).lstrip('0') or '0' # Improved: remove leading zeros and handle all-zeros case

# Вывод результата
print(result_sum, result_product)
