import collections
 
def solve():
    n, b, c = map(int, input().split())
    edges = []
    for _ in range(b):
        x, y = map(int, input().split())
        edges.append((x, y))
    
    guards = []
    for _ in range(c):
        p, h = map(int, input().split())
        guards.append((p, h))
 
    graph = collections.defaultdict(list)
    for u, v in edges:
        graph[x].append(y)
 
    protected = set()
    for guard_pos, guard_range in guards:
        q = collections.deque([(guard_pos, 0)])
        visited = {guard_pos}
        while q:
            curr_pos, dist = q.popleft()
            if dist <= guard_range:
                protected.add(curr_pos)
                for neighbor in graph[curr_pos]:
                    if neighbor not in visited:
                        visited.add(neighbor)
                        q.append((neighbor, dist + 1))
 
    protected_list = sorted(list(protected))
    print(len(protected_list))
    print(*protected_list) if protected_list else print()
 
 
solve()


