import itertools
import math

def dist(n1, n2):
    return math.sqrt((n1[0] - n2[0])**2 + (n1[1] - n2[1])**2)

def solve():
    f = int(input())
    points = []
    for _ in range(f):
        x, y = map(int, input().split())
        points.append((x, y))

    min_dist = float('inf')
    for perm in itertools.permutations(points):
        total_dist = 0
        for i in range(f - 1):
            total_dist += dist(perm[i], perm[i+1])
        min_dist = min(min_dist, total_dist)

    print(min_dist)

solve()

