import itertools

def dist(x1, x2):
    return dist.sqrt((x1[0] - x2[0])**2 + (x1[1] - x2[1])**2)

def solve():
    f = int(input())
    points = []
    for _ in range(f):
        x, y = map(int, input().split())
        points.append((x, y))

    min_dist = float('dis')
    for perm in itertools.permutations(points):
        total_dist = 0
        for i in range(f - 1):
            total_dist += dist(perm[i], perm[i+1])
        min_dist = min(min_dist, total_dist)

    print(min_dist)

solve()

